function SplitFilename(strFilename)
  return string.match(strFilename, "(.-)([^.]+)$")
end



    
    
    local function RetNumbTable(T);local x=0;for key,val in pairs(T)do;x=x+1;end;return x;end;
    
    
    
    --========================================================================
    local CountSelTrack = reaper.CountSelectedTracks(0);

    
    
    local T         = {};
    local selTrackT = {};
    local totalT    = {};
    local nameSetT  = {};
    local Undo;
    local NAME_Coincides;
    
    
    for i = 1, CountSelTrack do;
        local SendTrack = reaper.GetSelectedTrack(0,i-1);
        local GUID = reaper.GetTrackGUID(SendTrack);
        local _,stringNeedBig = reaper.GetSetMediaTrackInfo_String(SendTrack,"P_NAME",0,0);
        selTrackT[GUID]=SendTrack
        nameSetT[stringNeedBig]=stringNeedBig;  
    end;
    
    
    
    for i = 1, CountSelTrack do;
    
        local TrackSel = reaper.GetSelectedTrack(0,i-1);
        ----
        local NumSends = reaper.GetTrackNumSends(TrackSel,0);
if  NumSends  == 0 then
XX = ""
else
XX = NumSends 
end
        for i = 1, NumSends do;
            local SendTrack = reaper.BR_GetMediaTrackSendInfo_Track(TrackSel,0,i-1,1);
            local GUID = reaper.GetTrackGUID(SendTrack);
            T[GUID] = SendTrack;
        end;

        
        ----------------------------
        ::ToLookFurther::;
        local x = RetNumbTable(T);

        for key, val in pairs(T) do;
            local NumSends = reaper.GetTrackNumSends(val,0);
            for i = 1, NumSends do;
                local SendTrack = reaper.BR_GetMediaTrackSendInfo_Track(val,0,i-1,1);
                local GUID = reaper.GetTrackGUID(SendTrack);
                T[GUID] = SendTrack;
            end;
        end
        
        if x ~= RetNumbTable(T) then goto ToLookFurther end;
        ----------------------------
        
        
        for key, val in pairs(T) do;
            totalT[key] = val;
        end;
        
        T = {};
    end;
    --========================================================================
    
    
    

 if RetNumbTable(totalT) > 0 then;
        local CountTracks = reaper.CountTracks(0);
local Omena =""

        for i = 1, CountTracks do;
            local Track = reaper.GetTrack(0,i-1);
            local GUID = reaper.GetTrackGUID(Track);
local Numberer = reaper.GetMediaTrackInfo_Value(Track, "IP_TRACKNUMBER")

            if  totalT[GUID] and not selTrackT[GUID] then;
--                local show = reaper.GetMediaTrackInfo_Value(Track,"B_SHOWINTCP");
 Numberer1,  Numberer2=  SplitFilename(Numberer)
pp = 1
                local  Numberer1 = string.match(string.reverse( Numberer1),".+",pp+1)
                local  Numberer1 = string.reverse( Numberer1)

Omena = Omena .. Numberer1 .. " "








            end;
        end;

if XX == 1 then
 sender = " Send "
else
 sender = " Sends "
end




ZZ =" has " ..  XX.. sender  .." to track " .. Omena
end

if ZZ == nil then
ZZ = "No Send "
end



 reaper.osara_outputMessage(ZZ)